Bug 997329 - Get zombie process when pressing "New Domain" on storage domain in "Storage" main tab
Get zombie process when pressing "New Domain" on storage domain in "Storage" ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
vvyazmin@redhat.com
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 03:46 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 13:24 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 05:24:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm (4.34 MB, application/x-gzip)
2013-08-15 03:46 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2013-08-15 03:46:20 EDT
Created attachment 786835 [details]
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm

Description of problem:
Get zombie process when pressing "New Domain" on storage domain in "Storage" main tab

Version-Release number of selected component (if applicable):
RHEVM 3.3 - IS9.1 environment:

RHEVM:  rhevm-3.3.0-0.14.master.el6ev.noarch
PythonSDK:  rhevm-sdk-python-3.3.0.8-1.el6ev.noarch
VDSM:  vdsm-4.12.0-52.gitce029ba.el6ev.x86_64
LIBVIRT:  libvirt-0.10.2-18.el6_4.9.x86_64
QEMU & KVM:  qemu-kvm-rhev-0.12.1.2-2.355.el6_4.5.x86_64
SANLOCK:  sanlock-2.6-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
Create iSCSI or FC Data Center 
Press "New Domain" on storage domain in "Storage" main tab

Actual results:
Get zombie process

Expected results:
No need to be zombies process

Impact on user:
none

Workaround:
none

Additional info:
[root@tigris02 ~]# ps -aux | grep -w defunct
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.8/FAQ
vdsm      2683  0.0  0.0      0     0 ?        Z<   12:57   0:00 [dd] <defunct>
qemu      6871  0.0  0.0      0     0 ?        Z    13:17   0:00 [python] <defunct>
vdsm     15980  0.0  0.0      0     0 ?        Z<   14:12   0:00 [dd] <defunct>
root     21286  0.0  0.0      0     0 ?        Z    15:53   0:00 [dd] <defunct>
root     21288  0.0  0.0      0     0 ?        Z    15:53   0:00 [dd] <defunct>
root     21289  0.0  0.0      0     0 ?        Z    15:53   0:00 [dd] <defunct>
root     21290  0.0  0.0      0     0 ?        Z    15:53   0:00 [dd] <defunct>
root     21298  0.0  0.0      0     0 ?        Z    15:53   0:00 [dd] <defunct>
root     21306  0.0  0.0      0     0 ?        Z    15:53   0:00 [dd] <defunct>
root     21310  0.0  0.0      0     0 ?        Z    15:53   0:00 [dd] <defunct>
root     21317  0.0  0.0      0     0 ?        Z    15:53   0:00 [dd] <defunct>
root     21326  0.0  0.0 103248   940 pts/2    S+   15:53   0:00 grep -w defunct
vdsm     29270  0.0  0.0      0     0 ?        Z<   12:39   0:00 [dd] <defunct>
[root@tigris02 ~]# 
[root@tigris02 ~]# 
[root@tigris02 ~]# date
Wed Aug 14 15:53:40 BST 2013

/var/log/ovirt-engine/engine.log

/var/log/vdsm/vdsm.log
Comment 1 Allon Mureinik 2013-08-21 05:21:44 EDT
(In reply to vvyazmin@redhat.com from comment #0)
> Steps to Reproduce:
> Create iSCSI or FC Data Center 
> Press "New Domain" on storage domain in "Storage" main tab
Does this step complete?
Does oVirt Engine return the control to the user (i.e., you should get a screen with a list of luns).
Comment 2 Allon Mureinik 2013-08-21 05:24:10 EDT
On a second look (thanks Haim!), the defunct processes are dd processes, which are unrelated to the new storage domain screen.

Note You need to log in before you can comment on or make changes to this bug.